| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::Bindings::iDataSvc Class Reference

Inheritance diagram for GaudiPython::Bindings::iDataSvc:

[legend]
Collaboration diagram for GaudiPython::Bindings::iDataSvc:

[legend]

List of all members.

## Detailed Description

Definition at line 309 of file Bindings.py.

## Public Member Functions
def | __init__
def | registerObject
def | unregisterObject
def | retrieveObject
def | __getitem__
def | __setitem__
def | __delitem__
def | leaves
def | dump
def | setRoot
def | clearStore

## Member Function Documentation

def GaudiPython::Bindings::iDataSvc::__init__ | ( |  | self,
|  |  | name,
|  |  | idp |
| ) |  |  |

Reimplemented from GaudiPython::Bindings::iService.

Reimplemented in GaudiPython::Bindings::iHistogramSvc, and GaudiPython::Bindings::iNTupleSvc.

Definition at line 310 of file Bindings.py.

    00310                                 :
    00311     iService.__init__(self, name, idp )
    00312     self.__dict__['_idp'] = InterfaceCast(gbl.IDataProviderSvc)(idp)
    00313     self.__dict__['_idm'] = InterfaceCast(gbl.IDataManagerSvc)(idp)
      def registerObject(self, path, obj) :

def GaudiPython::Bindings::iDataSvc::registerObject | ( |  | self,
|  |  | path,
|  |  | obj |
| ) |  |  |

Definition at line 314 of file Bindings.py.

    00314                                       :
    00315     if not self._idp : raise AttributeError('C++ service %s does not exist' % self.__dict__['_name'])
    00316     return self._idp.registerObject(path,obj)
      def unregisterObject(self, path) :

def GaudiPython::Bindings::iDataSvc::unregisterObject | ( |  | self,
|  |  | path |
| ) |  |  |

Definition at line 317 of file Bindings.py.

    00317                                    :
    00318     if not self._idp : raise AttributeError('C++ service %s does not exist' % self.__dict__['_name'])
    00319     return self._idp.unregisterObject(path)
      def retrieveObject(self, path) :

def GaudiPython::Bindings::iDataSvc::retrieveObject | ( |  | self,
|  |  | path |
| ) |  |  |

Definition at line 320 of file Bindings.py.

    00320                                  :
    00321     if not self._idp : return  None
    00322     return Helper.dataobject(self._idp, path)
      def __getitem__(self, path) :

def GaudiPython::Bindings::iDataSvc::__getitem__ | ( |  | self,
|  |  | path |
| ) |  |  |

Reimplemented in GaudiPython::Bindings::iHistogramSvc, and GaudiPython::Bindings::iNTupleSvc.

Definition at line 323 of file Bindings.py.

    00323                               :
    00324     if not self._idp : raise IndexError('C++ service %s does not exist' % self.__dict__['_name'])
    00325     return Helper.dataobject(self._idp, path)
      def __setitem__(self, path, obj) :

def GaudiPython::Bindings::iDataSvc::__setitem__ | ( |  | self,
|  |  | path,
|  |  | obj |
| ) |  |  |

Definition at line 326 of file Bindings.py.

    00326                                    :
    00327     if not self._idp : raise IndexError('C++ service %s does not exist' % self.__dict__['_name'])
    00328     return self._idp.registerObject(path,obj)
      def __delitem__(self, path) :

def GaudiPython::Bindings::iDataSvc::__delitem__ | ( |  | self,
|  |  | path |
| ) |  |  |

Definition at line 329 of file Bindings.py.

    00329                               :
    00330     if not self._idp : raise IndexError('C++ service %s does not exist' % self.__dict__['_name'])
    00331     return self._idp.unregisterObject(path)
      def leaves(self, node=None) :

def GaudiPython::Bindings::iDataSvc::leaves | ( |  | self,
|  |  | node = `None` |
| ) |  |  |

Definition at line 332 of file Bindings.py.

    00332                               :
    00333     if not node : node = self.retrieveObject('')
    00334     ll = gbl.std.vector('IRegistry*')()
    00335     if type(node) is str : obj = self.retrieveObject(node)
    00336     else                 : obj = node
    00337     if self._idm.objectLeaves(node, ll).isSuccess() : return ll
      def dump(self, node=None) :

def GaudiPython::Bindings::iDataSvc::dump | ( |  | self,
|  |  | node = `None` |
| ) |  |  |

Definition at line 338 of file Bindings.py.

    00338                             :
    00339     if not node :
    00340       root = self.retrieveObject('')
    00341       if root : node = root.registry()
    00342       else : return
    00343     print node.identifier()
    00344     if node.object() :
    00345       for l in self.leaves(node) : self.dump(l)
      def setRoot(self, name, obj):

def GaudiPython::Bindings::iDataSvc::setRoot | ( |  | self,
|  |  | name,
|  |  | obj |
| ) |  |  |

Definition at line 346 of file Bindings.py.

    00346                               :
    00347     if not self._idm : raise IndexError('C++ service %s does not exist' % self.__dict__['_name'])
    00348     return self._idm.setRoot(name,obj)
      def clearStore(self):

def GaudiPython::Bindings::iDataSvc::clearStore | ( |  | self | ) |

Definition at line 349 of file Bindings.py.

    00349                       :
    00350     if not self._idm : raise IndexError('C++ service %s does not exist' % self.__dict__['_name'])
    00351     return self._idm.clearStore()
    00352
    00353
    00354 #----iHistogramSvc class---------------------------------------------------------------------
    class iHistogramSvc(iDataSvc) :

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/python/GaudiPython/Bindings.py